org.gnome.pango

## Class UnderlineAttribute

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.pango.Attribute
      - - org.gnome.pango.UnderlineAttribute

-     public final class UnderlineAttribute
      extends Attribute

  An Attribute that specifies the underlinging to be drawn under the text it is applied to. See `Underline`.
  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnderlineAttribute(Underline underline)` Create an UnderlineAttribute.

  - ### Method Summary

    - ### Methods inherited from class org.gnome.pango.Attribute

      `setIndices`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnderlineAttribute

          public UnderlineAttribute(Underline underline)

      Create an UnderlineAttribute.

      This is equivalent to using TextTag's `setUnderline()` when formatting text in a TextBuffer.

      Since:
        4.0.10